import request from '@/utils/request'

// 查询用户帐单记录列表
export function listUserbill(query) {
  return request({
    url: '/his/userBill/list',
    method: 'get',
    params: query
  })
}

// 查询用户帐单记录详细
export function getUserbill(billId) {
  return request({
    url: '/his/userBill/' + billId,
    method: 'get'
  })
}

// 新增用户帐单记录
export function addUserbill(data) {
  return request({
    url: '/his/userBill',
    method: 'post',
    data: data
  })
}

// 修改用户帐单记录
export function updateUserbill(data) {
  return request({
    url: '/his/userBill',
    method: 'put',
    data: data
  })
}

// 删除用户帐单记录
export function delUserbill(billId) {
  return request({
    url: '/his/userBill/' + billId,
    method: 'delete'
  })
}

// 导出用户帐单记录
export function exportUserbill(query) {
  return request({
    url: '/his/userBill/export',
    method: 'get',
    params: query
  })
}